module.exports = class Eval {

  /**
   * 
   * @param {String} idEvaluator 
   * @param {String} idRated 
   * @param {Number} evaluation
   * @param {String} comment 
   * @param {Date} date
   * @param {Object} obj Necessary parameters to complete your object model
   * @param {String} type
   * @return {Eval}
   */
  constructor(idEvaluator, idRated, evaluation, comment, date, obj, type){
    this.IdEvaluator = idEvaluator,
    this.IdRated= idRated,
    this.Eval = evaluation,
    this.Comment = comment,
    this.Date = date
    this.Obj = obj
    this.Type = type
  }

  /**
   * Get Eval
   * @return {Object} Return an object containing the eval information
   */
  getInfo() {
    const info = {
      idEvaluator : this.IdEvaluator,
      idRated : this.IdRated,
      eval : this.Eval,
      comment : this.Comment,
      obj : this.Obj,
      date : this.Date,
      type : this.Type
    }
    return info;
  }

  /**
   * Check type of obj 
   * @param {Object} evaluation
   * @return {boolean}  
   */
  static check(evaluation) {
    return evaluation instanceof Eval;
  }
}