const { create } = require('domain');
const xd = require('./index');
const xd2 = require('gerenciamento-pontos-2d');
const { url } = require('inspector');

const urlTest = 'http://localhost:3000';

console.log('Starting Tests');

const constructor = new xd.AdmEval(urlTest);
const constructor2 = new xd2.AdmObj(urlTest);

async function criaPonto() {
  try {
    const ponto = new xd2.Ponto2d('testEval999', '2', '-19.5237762', '-43.6325799', 'testEvalPoint7', null);
    const teste = await constructor2.createPoint2d(ponto, null, '/point/create');
    const pontoTeste = teste.data;
    return pontoTeste.id;
  } catch (e) {
    console.log(e);
    return false;
  }
}

async function createTest() {
  const idTest = await criaPonto();
  if (idTest) {
    console.log('ID ', idTest);
    var data = new Date();
    var dataBr = data.toLocaleDateString();
    const evalTest = new xd.Eval('666', idTest, 5, 'comment 1', dataBr, { evalNumer: 1 }, 'tipo1');
    try {
      const callTest = await constructor.createEval(evalTest, { headTest: 1 }, '/evaluation/create');
      console.log(callTest.data);
    } catch (err) {
      console.log('errp')
      console.log(err);
    }
  }
}

async function createEvalTest() {
  var data = new Date();
  var dataBr = data.toLocaleDateString();
  const idTest2 = '5f9016a2f374872fb43ba643';

  const evalTest = new xd.Eval('666', idTest2, 3, 'comment 1', dataBr, { evalNumber: 1 }, 'tipo1');
  try {
    const callTest = await constructor.createEval(evalTest, { headTest: 1 }, '/evaluation/create');
    console.log(callTest.data)
  } catch (err) {
    console.log('errp')
    console.log(err);
  }
}

async function search() {
  const idTeste = '5f691365a80a7928902fbf87';
  const idTest2 = '5f9016a2f374872fb43ba643';
  const callTest = await constructor.searchEval(null, null, idTest2, null, { searchHead: 1 }, '/evaluation/search');
  console.log(callTest);
}

async function edit() {
  const idTeste = '5f691365a80a7928902fbf87';
  try {
    const response = await constructor.editEval(idTeste, null, null, 11, 'comment edit', { evalNumberEdit: 2 }, null, null, '/evaluation/search', '/evaluation/edit');
    console.log(response);
  } catch (error) {
    console.log(error);
    console.log(error.edit);
    console.log(error.search);
    console.log(error.code);
  }
}

async function deleteEval() {
  ide = '5f989e44b004682e36988cad';
  const callTest = await constructor.deleteEval(ide, null, '/evaluation/search', '/evaluation/delete');
  console.log(callTest);
}

async function getEval() {
  const idTest2 = '5f96e11edc0c30112c9167c3';
  const callTest = await constructor.searchEval(null, null, idTest2, null, null, '/evaluation/search');
  console.log(callTest);

}
/*
test('Contructor test', async () => {
  expect(constructor.ApiBaseUrl).toBe(urlTest);
})


test('Create', async () => {
  const evalTest = new xd.Eval('666', '555', 5, 'comment 1', { evalNumer: 1 });
  try {
    const callTest = await constructor.createEval(evalTest, { headTest: 1 }, '/evaluation/create');
    console.log(callTest);
  } catch (err) {
    console.log('errp')
    console.log(err);
  }
})
*/

/*
createTest().then((data) => {
  console.log('xd');
  console.log(data)
})

search().then((data) => {
  console.log('xd');
  console.log(data)
})

createEvalTest().then((data) => {
  console.log('xd');
  console.log(data)
})
*/
/*
search().then((data) => {
  console.log('xd');
  console.log(data)
})*/
deleteEval();
/*
getEval();

*/
